# Be sure to restart your server when you modify this file.

# Add new inflection rules using the following format. Inflections
# are locale specific, and you may define rules for as many different
# locales as you wish. All of these examples are active by default:
# ActiveSupport::Inflector.inflections(:en) do |inflect|
#   inflect.plural /^(ox)$/i, '\1en'
#   inflect.singular /^(ox)en/i, '\1'
#   inflect.irregular 'person', 'people'
#   inflect.uncountable %w( fish sheep )
# end
ActiveSupport::Inflector.inflections do |inflect|
  inflect.uncountable << 'trash'
  inflect.uncountable << 'ogone'
  inflect.uncountable << 'braintree_blue'
  inflect.uncountable << 'authorize_net'
  inflect.uncountable << 'stripe'
  inflect.uncountable << 'sudo'
  inflect.uncountable << 'github'
  # ThinkingSphinx fails to preload CMS models because it thinks they are Cms
  # see ThinkingSphinx::Context#load_models for mode details, it uses 'cms/model'.camelize
  inflect.acronym 'CMS' # , enable this and rename every Cms to CMS
  inflect.acronym 'OAuth'
  inflect.acronym 'GitHub'
  inflect.acronym 'SSO'
  inflect.acronym 'OIDC' # OpenID Connect
end

# These inflection rules are supported but not enabled by default:
# ActiveSupport::Inflector.inflections(:en) do |inflect|
#   inflect.acronym 'RESTful'
# end
